Version 4.0.26.22 (latest)

### Get an API specification for this Looker instance.

The specification is returned as a JSON document in Swagger 2.x format

## Request

GET /api_spec/{api_version}/{specification} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... api_version string API version specification string Specification name. Typically, this is "swagger.json"

## Response

### 200: API specification

Datatype Description (any) any

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### TSX


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/extension-api-explorer/src/ExtensionApiExplorer.tsx](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/extension-api-explorer/src/ExtensionApiExplorer.tsx#L54 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/extension-api-explorer/src/ExtensionApiExplorer.tsx") |